<template>
  <div>
    <span @click="jumpTo" ref="rowhidden">
      <slot></slot>
    </span>
  </div>
</template>

<script>

export default {
  inject: [
    'scanQRcode'
  ],
  name: "o-action",
  props: [
    "action-type", 
    "formid",
    "formId",
    "docid",
    "docId",
    "viewId",
    "viewid",
    "appId",
    "appid",
    "open-type",
    "data-val",
    "name",
    "path",
    "exparams",
    "url",
    "documenthidden",
    "documentshow",
  ],
 
  data: function() {
    return { 
     
    };
  },
  
  methods: {
    jumpTo() {
      let exparams = this.exparams;
      switch (this.actionType) {
        case "opendocument":
          if(this.formid || this.formId) {
            let formId = this.formId || this.formid;
            let docId = this.docId || this.docid;
            let params = {
              linkType:'00',
              actionContent:formId,
              _select: docId,
            };
            if(exparams) {
              params.exparams = exparams;
            }
            let routeParams = {  
              name:'open',
              query: params,
            }
            this.$parent.calctextJump(routeParams);
            // this.$router.push({  
            //   name:'open',
            //   query: params,
            // })
          }
          break;
        case "viewselect":
          break;
        case "openview":
          if(this.viewId || this.viewid) {
            let params = {
              linkType:'01',
              actionContent: this.viewId ? this.viewId : this.viewid,
            };
            if(exparams) {
              params.exparams = exparams;
            }
            this.$router.push({  
              name:'open',
              query:params
            })
          }
          break;
        case "jumpto": //跳转
          if(this.url){
            window.location.href = this.url;
          }
          break;
        case "openword":
          // this.filePreview(this.path, this.name);
          break;
        case "documentshowhidden": //隐藏行
          if(this.documenthidden){
            document.getElementById(this.documenthidden).style.display="none";
          }else if(this.documentshow){
            document.getElementById(this.documentshow).style.display='';
          }
          break;
        case "scanQRcode": 
          this.scanQRcode();
          break;
      }
    }
  },
  
};
</script>
